> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tai42.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a reconnect flow

> Re-run the OAuth flow for an existing connection; an unknown id is a 404.



## OpenAPI

````yaml /openapi.json post /api/connectors/connections/{connection_id}/reconnect
openapi: 3.1.0
info:
  description: The operator HTTP surface served under /api/*.
  title: tai42-skeleton API
  version: 0.1.1
servers: []
security: []
paths:
  /api/connectors/connections/{connection_id}/reconnect:
    post:
      tags:
        - connectors
      summary: Start a reconnect flow
      description: >-
        Re-run the OAuth flow for an existing connection; an unknown id is a
        404.
      operationId: post_api_connectors_connections_connection_id_reconnect
      parameters:
        - in: path
          name: connection_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartReconnectRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                required:
                  - data
                type: object
          description: Success.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Malformed request.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid api key.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Resource not found.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    StartReconnectRequest:
      properties:
        enabled_sub_services:
          items:
            type: string
          maxItems: 64
          minItems: 1
          title: Enabled Sub Services
          type: array
        return_url:
          default: /connectors
          title: Return Url
          type: string
      required:
        - enabled_sub_services
      title: StartReconnectRequest
      type: object
    Error:
      properties:
        error:
          type: string
      required:
        - error
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````